*,
::before,
::after {
    --tw-border-spacing-x: 0;
    --tw-border-spacing-y: 0;
    --tw-translate-x: 0;
    --tw-translate-y: 0;
    --tw-rotate: 0;
    --tw-skew-x: 0;
    --tw-skew-y: 0;
    --tw-scale-x: 1;
    --tw-scale-y: 1;
    --tw-pan-x: ;
    --tw-pan-y: ;
    --tw-pinch-zoom: ;
    --tw-scroll-snap-strictness: proximity;
    --tw-gradient-from-position: ;
    --tw-gradient-via-position: ;
    --tw-gradient-to-position: ;
    --tw-ordinal: ;
    --tw-slashed-zero: ;
    --tw-numeric-figure: ;
    --tw-numeric-spacing: ;
    --tw-numeric-fraction: ;
    --tw-ring-inset: ;
    --tw-ring-offset-width: 0px;
    --tw-ring-offset-color: #fff;
    --tw-ring-color: rgb(59 130 246 / 0.5);
    --tw-ring-offset-shadow: 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
    --tw-shadow: 0 0 #0000;
    --tw-shadow-colored: 0 0 #0000;
    --tw-blur: ;
    --tw-brightness: ;
    --tw-contrast: ;
    --tw-grayscale: ;
    --tw-hue-rotate: ;
    --tw-invert: ;
    --tw-saturate: ;
    --tw-sepia: ;
    --tw-drop-shadow: ;
    --tw-backdrop-blur: ;
    --tw-backdrop-brightness: ;
    --tw-backdrop-contrast: ;
    --tw-backdrop-grayscale: ;
    --tw-backdrop-hue-rotate: ;
    --tw-backdrop-invert: ;
    --tw-backdrop-opacity: ;
    --tw-backdrop-saturate: ;
    --tw-backdrop-sepia: ;
    --tw-contain-size: ;
    --tw-contain-layout: ;
    --tw-contain-paint: ;
    --tw-contain-style: ;
}


@media (min-width: 1024px) {
    .chat-list-button {
        padding-left: 1.25rem
            /* 20px */
        ;
        padding-right: 1.25rem
            /* 20px */
        ;

        padding-top: 10px;
        padding-bottom: 10px;
    }
}

.full-radius {
    border-radius: 999px;
}

.az-w-full {
    width: 100%;
}

.az-h-full {
    width: 100%;
}

.az-message-width {
    max-width: 85% !important;
}

.az-flex {
    display: flex;
}

.az-w-auto {
    width: auto;
}

.az-my-auto {
    margin-top: auto;
    margin-bottom: auto;
}

.az-gap-2 {
    gap: 8px;
}

.az-gap-3 {
    gap: 12px;
}

.az-gap-4 {
    gap: 1rem
        /* 20px */
    ;
}

.az-gap-5 {
    gap: 1.25rem
        /* 20px */
    ;
}

.az-relative {
    position: relative;
}

.az-ml-auto {
    margin-left: auto;
}

.az-mr-auto {
    margin-right: auto;
}

.az-shrink-0 {
    flex-shrink: 0;
}

.az-flex-grow {
    flex-grow: 1;
}

.az-grow {
    flex-grow: 1;
}

.az-overscroll-contain {
    overscroll-behavior: contain;
}

.az-overflow-x-hidden {
    overflow-x: hidden;
}

.az-overflow-hidden {
    overflow: hidden;
}

.az-invisible {
    visibility: hidden;
}

.az-hidden {
    display: hidden;
}

.az-flex-wrap {
    flex-wrap: wrap;
}

.az-rounded-xl {
    border-radius: 12px;
}

.az-flex-col {
    flex-direction: column;
}

.az-p-2-5 {
    padding: 10px;
}

.az-p-2 {
    padding: 0.5rem
        /* 8px */
    ;
}

.az-message-background {
    background-color: #f6f6f8fb;
}

.az-message-black {
    color: black;
}

.az-rounded-bl-none {
    border-bottom-left-radius: 0px;
}

.az-border-gray-200 {
    border-color: rgb(229 231 235 / 0.4);
}

.az-rounded-br-none {
    border-bottom-right-radius: 0px;
}

.az-bg-blue-500 {
    background-color: #a62626;
}

.az-bg-gray-100 {
    background-color: #f3f4f6;
}

.az-bg-white {
    background-color: #FFF;
}

.az-bg-gray-light {
    /* background-color: rgb(243 244 246 / 0.7); f9fafb*/
    background-color:rgb(243 244 246 / 0.2);

}

.az-bg-gray-dark {
    background-color: rgb(243 244 246 / 1);
    /* background-color:#f9fafb; */

}


.az-text-white {
    color: #FFF;
}

.az-text-gray-500 {
    color: #6b7280;
}

.az-text-xs {
    font-size: 0.75rem
        /* 12px */
    ;
    line-height: 1rem
        /* 16px */
    ;
}

.az-mb-0 {
    margin-bottom: 0px;
}

.az-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.az-overflow-y-auto {
    overflow-y: auto;
}

.az-overflow-y-scroll {
    overflow-y: scroll;
}

.az-text-sm {
    font-size: 0.875rem
        /* 14px */
    ;
    line-height: 1.25rem
        /* 20px */
    ;
}

@media (min-width: 768px) {
    .md\:az-text-base {
        font-size: 1rem
            /* 16px */
        ;
        line-height: 1.5rem
            /* 24px */
        ;
    }
}

.az-tracking-wide {
    letter-spacing: 0.025em;
}

@media (min-width: 1024px) {
    .lg\:tracking-normal {
        letter-spacing: 0em;
    }
}


.az-z-10 {
    z-index: 10;
}

.az-inset-x-0 {
    left: 0px;
    right: 0px;
}

.az-border-t {
    border-top: 1px solid #e7eaec;
}

.az-border-b {
    border-bottom: 1px solid #e7eaec;
}

.az-grid {
    display: grid;
}

.az-grid-cols-12 {
    grid-template-columns: repeat(12, minmax(0, 1fr));
}

.az-col-span-10 {
    grid-column: span 10 / span 10;
}

.az-border-0 {
    border-width: 0px;
}

.az-outline-0 {
    outline-width: 0px;
}

.az-border-0:focus {
    border-width: 0px;
}

.az-rounded-lg {
    border-radius: 0.5rem
        /* 8px */
    ;
}



.az-overflow-y-scroll {
    overflow-y: scroll;
}

.az-sticky {
    position: sticky;
}

.az-fixed {
    position: fixed;
}

.az-pb-5 {
    padding-bottom: 5px;
}

.az-pt-5 {
    padding-top: 5px;
}

.az-top {
    top: 0px;
}

.az-items-center {
    align-items: center;
}

.az-px-2 {
    padding-left: 0.5rem
        /* 8px */
    ;
    padding-right: 0.5rem
        /* 8px */
    ;
}

.az-px-4 {
    padding-left: 1rem
        /* 16px */
    ;
    padding-right: 1rem
        /* 16px */
    ;
}

.az-chat-border {
    border: 2px solid #e7eaec
}

.az-shadow-sm {
    --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);
    --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}